#include <iostream>
#include <iomanip>
#include "cilindro.h"

using namespace std;

// Construtor de circulo
// Note com deve-se chamar o construtor da classe Base !!!
Cilindro::Cilindro(float h, float r, float x, float y): Circulo(r,x,y)
 {
   SetAltura(h);
//   cout << " Construindo circulo ... " << endl;
 }

void Cilindro::SetAltura(float h)
 {
   alt = h;
 }

// calcula a area do circulo
float Cilindro::Area() const
 {
   return (2 * Circulo::Area() +
		   2 * 3.14159 * raio * alt);
 }


// calcula a area do circulo
float Cilindro::Volume() const
 {
   return (Circulo::Area() * alt);
 }


// Imprime os dados do circulo assim. Coord = [x,y] ** Raio = z
ostream &operator<<(ostream &out, const Cilindro &c)
 {
   out << "Centro [" << c.x << "," << c.y << "]"
	   << "   **   Raio = "
	   << setiosflags(ios::showpoint) << setprecision(2)
	   <<  c.raio
	   << " Altura do Cilindro = " << c.alt;

   return out;
 }

