#include <iostream>
#include <iomanip>
#include "circulo.h"

using namespace std;


// Construtor de circulo
// Note com deve-se chamar o construtor da classe Base !!!
Circulo::Circulo(float r, float x, float y): Ponto(x,y)
 {
   SetRaio(r);
//   cout << " Construindo circulo ... " << endl;
 }

void Circulo::SetRaio(float r)
 {
   raio = r;
 }

// calcula a area do circulo
float Circulo::Area() const
 {
   return (3.14159 * raio * raio);
 }


// Imprime os dados do circulo assim. Coord = [x,y] ** Raio = z
ostream &operator<<(ostream &out, const Circulo &c)
 {
   out << "Centro [" << c.x << "," << c.y << "]"
	   << "   **   Raio = "
	   << setiosflags(ios::showpoint) << setprecision(2)
	   <<  c.raio;

   return out;
 }

