#ifndef CIRCULO
#define CIRCULO

#include <iostream>
using namespace std;
#include "ponto.h"




class Circulo: public Ponto {
  friend ostream &operator<<(ostream &, const Circulo &);

  public:
	Circulo(float r = 0.0, float x = 0.0, float y = 0.0);
	~Circulo() { // cout << "destruindo circulo ... " << endl;
			   }

	void SetRaio(float);          // Atualiza o raio do circulo
	float GetRaio() const         // Retorna o raio do circulo
	  { return (raio); }
	float Area() const;           // Retorna a area do circulo

  protected:
	float raio;
};

#endif

