#ifndef CILINDRO
#define CILINDRO

#include <iostream>
using namespace std;
#include "circulo.h"

class Cilindro: public Circulo {
  friend ostream &operator<<(ostream &, const Cilindro &);

  public:
	Cilindro(float h = 0.0, float r = 0.0, float x = 0.0, float y = 0.0);

	void SetAltura(float);          // Atualiza o raio do circulo
	float GetAltura() const         // Retorna o raio do circulo
	  { return (alt); }
	float Area() const;           // Retorna a area do circulo
	float Volume () const;

  protected:
	float alt;
};

#endif

